﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Admin/MasterPage.master" CodeFile="MissingReport.aspx.cs" Inherits="Reports_MissingReport" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <style>
        #tblProductSalesStock tbody .ProductId, .Peice, .Box, .Case, .AvailableQty {
            text-align: center;
        }

        .tblwth {
            width: 13%;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <div class="content-header row">
        <div class="content-header-left col-md-6 col-12 mb-2">
            <h3 class="content-header-title">Missing Product Report</h3>
            <div class="row breadcrumbs-top">
                <div class="breadcrumb-wrapper col-12">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="/Admin/mydashboard.aspx">Home</a></li>
                        <li class="breadcrumb-item"><a href="#">Reports</a></li>
                        <li class="breadcrumb-item"><a href="#">Product Report</a></li>
                        <li class="breadcrumb-item">Missing Report</li>
                        <li class="breadcrumb-item active" title="Help"><a href="#" onclick="GetPageInformation(10043)"><i class="la la-question-circle"></i></a></li>
                    </ol>
                </div>
            </div>
        </div>
        <div class="content-header-right col-md-6 col-12">
            <div class="btn-group float-md-right" role="group" aria-label="Button group with nested dropdown">
                <button class="btn btn-info round dropdown-toggle dropdown-menu-right box-shadow-2 px-2"
                    id="btnGroupDrop1" type="button" data-toggle="dropdown" aria-haspopup="true"
                    aria-expanded="false">
                    Action</button>
                <div class="dropdown-menu" aria-labelledby="btnGroupDrop1">
                    <button type="button" class="dropdown-item" onclick="PrintElem()">Print</button>
                    <button type="button" class="dropdown-item" id="btnExport" onclick="ExportReport()">Export</button>
                </div>
            </div>
        </div>
    </div>
    <div class="content-body">
        <section id="drag-area">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-content collapse show">
                            <div class="card-body">
                                <div class="row form-group">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <select class="form-control border-primary input-sm" id="ddlSalesPerson" onchange="BindCustomer();">
                                                <option value="0">All Sales Person</option>
                                            </select>
                                        </div>
                                    </div>
                                   <div class="col-md-4">
                                        <div class="form-group">
                                            <select class="form-control border-primary input-sm" id="ddlCustomer">
                                                <option value="0">All Customer</option>
                                            </select>
                                        </div>
                                    </div>
                                     <div class="col-md-4">
                                        <div class="form-group">
                                            <select class="form-control border-primary input-sm" id="ddlCategory" onchange="BindSubCategory(this.value);">
                                                <option value="0">All Category</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                              
                                <div class="row form-group">
                                     <div class="col-md-4">
                                        <div class="form-group">
                                            <select class="form-control border-primary input-sm" id="ddlSubCategory">
                                                <option value="0">All Sub Category</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <div class="input-group">
                                                <div class="input-group-prepend">
                                                    <span class="input-group-text" style="padding: 0rem 1rem;">
                                                       From Order Close Date <span class="la la-calendar-o"></span>
                                                    </span>
                                                </div>
                                                <input type="text" class="form-control border-primary input-sm date" onchange="setdatevalidation(1)" placeholder=" From Order Close Date" id="txtDateFrom" />
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <div class="input-group">
                                                <div class="input-group-prepend">
                                                    <span class="input-group-text" style="padding: 0rem 1rem;">
                                                       To Order Close Date <span class="la la-calendar-o"></span>
                                                    </span>
                                                </div>
                                                <input type="text" class="form-control border-primary input-sm date"  onchange="setdatevalidation(2)" placeholder=" To Order Close Date" id="txtDateTo" />
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-12 text-right">
                                        <button type="button" class="btn btn-info buttonAnimation round box-shadow-1  btn-sm" id="btnSearch" onclick="searchReport();">Search</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </section>
    </div>

    <div class="content-body">
        <section id="drag-area1">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-content collapse show">
                            <div class="card-body">
                                <div class="row form-group">
                                    <div class="col-md-12">
                                        <div class="table-responsive">
                                            <table class="MyTableHeader" id="tblMissingReportDetail">
                                                <thead class="bg-blue white">
                                                    <tr>
                                                        <td class="ProductId tblwth">Product ID</td>
                                                        <td class="ProductName tblwth">Product Name</td>
                                                        <td class="CustomerId tblwth">Customer ID</td>
                                                        <td class="CustomerName">Customer Name</td>
                                                        <td class="OrderNo tblwth">Order No</td>
                                                        <td class="SalesPerson tblwth">Sales Person</td>
                                                        <td class="OrderDate tblwth">Order Date</td>
                                                        <td class="Packer tblwth">Packer</td>
                                                        <td class="PackedTime tblwth">Packed Time</td>
                                                        <td class="Driver tblwth">Driver</td>
                                                        <td class="DeliveryDate tblwth">Delivery Date</td>
                                                        <td class="Account tblwth">Account</td>
                                                        <td class="OrderCloseDate tblwth">Order Close Date</td>
                                                        <td class="MissingDetails tblwth">Missing Details</td>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                </tbody>
                                                
                                            </table>
                                            <h5 class="well text-center" id="EmptyTable" style="display: none">No data available.</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-2">
                                        <select class="form-control input-sm border-primary pagesize" onchange="missingReportOnChange(1)" id="ddlPageSize">
                                            <option value="10">10</option>
                                            <option value="50">50</option>
                                            <option value="100">100</option>
                                            <option value="500">500</option>
                                            <option value="1000">1000</option>
                                            <option value="0">All</option>
                                        </select>
                                    </div>
                                    <div class="col-md-10">
                                        <div class="Pager text-right"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <div class="table-responsive" style="display: none;" id="PrintTable1">
            <div class="row" style="margin-bottom: 5px;">
                <div class="col-md-4 col-lg-4 col-sm-4 text-left">
                    <img src="" id="PrintLogo" height="40" />
                </div>
                <div class="col-md-4 col-lg-4 col-sm-4 text-center" style="margin-top: 0.5%; font-size: 12px; color: black; font-weight: bold;">
                    Missing Product Report
                    <br />
                    <span class="text-center DateRangeCSS" style="font-size: 9px; color: black;" id="DateRange"></span>

                </div>
                <div class="col-md-4 col-lg-4 col-sm-4 text-right" id="PrintDate" style="line-height: 3; font-size: 12px; color: black; font-weight: bold;">Print Date</div>
            </div>
            <table class="MyTableHeader PrintMyTableHeader" id="PrintTable">
                <thead class="bg-blue white">
                    <tr>
                        <td class="p_ProductId tblwth">Product ID</td>
                        <td class="p_ProductName tblwth">Product Name</td>
                        <td class="p_CustomerId tblwth">Customer ID</td>
                        <td class="p_CustomerName">Customer Name</td>
                        <td class="p_OrderNo tblwth">Order No</td>
                        <td class="p_SalesPerson tblwth">Sales Person</td>
                        <td class="p_OrderDate tblwth">Order Date</td>
                        <td class="p_Packer tblwth">Packer</td>
                        <td class="p_PackedTime tblwth">Packed Time</td>
                        <td class="p_Driver tblwth">Driver</td>
                        <td class="p_DeliveryDate tblwth">Delivery Date</td>
                        <td class="p_Account tblwth">Account</td>
                        <td class="p_OrderCloseDate tblwth">Order Close Date</td>
                        <td class="p_MissingDetails tblwth">Missing Details</td>
                    </tr>
                </thead>
                 <tbody>
                </tbody>
            </table>
        </div>
    </div>
    <link href="http://www.jqueryscript.net/css/jquerysctipttop.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
        document.write('<scr' + 'ipt defer type="text/javascript" src="../js/jquery.table2excel.js?v=' + new Date() + '"></scr' + 'ipt>');
    </script>
    <script src="//ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
</asp:Content>
